package com.sun.org.apache.xml.internal.resolver.tools;

import com.sun.org.apache.xml.internal.resolver.CatalogManager;
import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;
import jdk.xml.internal.JdkXmlUtils;

public class ResolvingXMLReader extends ResolvingXMLFilter
{
    private static final boolean namespaceAware = true;
    private static final boolean validating = false;
    
    public ResolvingXMLReader() {
        SAXParserFactory spf = JdkXmlUtils.getSAXFactory(this.catalogManager.overrideDefaultParser());
        spf.setValidating(false);
        try {
            SAXParser parser = spf.newSAXParser();
            this.setParent(parser.getXMLReader());
        }
        catch (Exception ex) {
            ex.printStackTrace();
        }
    }
    
    public ResolvingXMLReader(CatalogManager manager) {
        super(manager);
        SAXParserFactory spf = JdkXmlUtils.getSAXFactory(this.catalogManager.overrideDefaultParser());
        spf.setValidating(false);
        try {
            SAXParser parser = spf.newSAXParser();
            this.setParent(parser.getXMLReader());
        }
        catch (Exception ex) {
            ex.printStackTrace();
        }
    }
}
